<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="WPDataSet" targetNamespace="http://tempuri.org/WPDataSet.xsd" xmlns:mstns="http://tempuri.org/WPDataSet.xsd" xmlns="http://tempuri.org/WPDataSet.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="WPConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="WPConnectionString (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.LausWPConverter.Properties.Settings.GlobalReference.Default.WPConnectionString" Provider="MySql.Data.MySqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="wp_postsTableAdapter" GeneratorDataComponentClassName="wp_postsTableAdapter" Name="wp_posts" UserDataComponentName="wp_postsTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="WPConnectionString (Settings)" DbObjectName="dulisth_dev.wp_posts" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>DELETE FROM wp_posts
WHERE        (ID = @Original_ID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="Original_ID" ColumnName="ID" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="bigint(20) unsigned" DbType="Int64" Direction="Input" ParameterName="@Original_ID" Precision="0" ProviderType="Int64" Scale="0" Size="0" SourceColumn="ID" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>INSERT INTO wp_posts
                         (post_author, post_date, post_date_gmt, post_content, post_title, post_excerpt, post_status, comment_status, ping_status, post_password, post_name, to_ping, 
                         pinged, post_modified, post_modified_gmt, post_content_filtered, post_parent, guid, menu_order, post_type, post_mime_type, comment_count, ID)
VALUES        (@post_author, @post_date, @post_date_gmt, @post_content, @post_title, @post_excerpt, @post_status, @comment_status, @ping_status, @post_password, 
                         @post_name, @to_ping, @pinged, @post_modified, @post_modified_gmt, @post_content_filtered, @post_parent, @guid, @menu_order, @post_type, 
                         @post_mime_type, @comment_count, @ID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="post_author" ColumnName="post_author" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="bigint(20) unsigned" DbType="Int64" Direction="Input" ParameterName="@post_author" Precision="0" ProviderType="Int64" Scale="0" Size="0" SourceColumn="post_author" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_date" ColumnName="post_date" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="datetime" DbType="DateTime" Direction="Input" ParameterName="@post_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="post_date" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_date_gmt" ColumnName="post_date_gmt" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="datetime" DbType="DateTime" Direction="Input" ParameterName="@post_date_gmt" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="post_date_gmt" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_content" ColumnName="post_content" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="longtext" DbType="String" Direction="Input" ParameterName="@post_content" Precision="0" ProviderType="LongText" Scale="0" Size="1024" SourceColumn="post_content" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_title" ColumnName="post_title" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="text" DbType="String" Direction="Input" ParameterName="@post_title" Precision="0" ProviderType="Text" Scale="0" Size="2147483647" SourceColumn="post_title" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_excerpt" ColumnName="post_excerpt" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="text" DbType="String" Direction="Input" ParameterName="@post_excerpt" Precision="0" ProviderType="Text" Scale="0" Size="2147483647" SourceColumn="post_excerpt" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_status" ColumnName="post_status" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="varchar(20)(20)" DbType="String" Direction="Input" ParameterName="@post_status" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="post_status" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="comment_status" ColumnName="comment_status" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="varchar(20)(20)" DbType="String" Direction="Input" ParameterName="@comment_status" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="comment_status" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="ping_status" ColumnName="ping_status" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="varchar(20)(20)" DbType="String" Direction="Input" ParameterName="@ping_status" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="ping_status" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_password" ColumnName="post_password" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="varchar(20)(20)" DbType="String" Direction="Input" ParameterName="@post_password" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="post_password" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_name" ColumnName="post_name" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="varchar(200)(200)" DbType="String" Direction="Input" ParameterName="@post_name" Precision="0" ProviderType="VarChar" Scale="0" Size="200" SourceColumn="post_name" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="to_ping" ColumnName="to_ping" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="text" DbType="String" Direction="Input" ParameterName="@to_ping" Precision="0" ProviderType="Text" Scale="0" Size="2147483647" SourceColumn="to_ping" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="pinged" ColumnName="pinged" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="text" DbType="String" Direction="Input" ParameterName="@pinged" Precision="0" ProviderType="Text" Scale="0" Size="2147483647" SourceColumn="pinged" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_modified" ColumnName="post_modified" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="datetime" DbType="DateTime" Direction="Input" ParameterName="@post_modified" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="post_modified" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_modified_gmt" ColumnName="post_modified_gmt" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="datetime" DbType="DateTime" Direction="Input" ParameterName="@post_modified_gmt" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="post_modified_gmt" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_content_filtered" ColumnName="post_content_filtered" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="longtext" DbType="String" Direction="Input" ParameterName="@post_content_filtered" Precision="0" ProviderType="LongText" Scale="0" Size="1024" SourceColumn="post_content_filtered" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_parent" ColumnName="post_parent" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="bigint(20) unsigned" DbType="Int64" Direction="Input" ParameterName="@post_parent" Precision="0" ProviderType="Int64" Scale="0" Size="0" SourceColumn="post_parent" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="guid" ColumnName="guid" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="varchar(255)(255)" DbType="String" Direction="Input" ParameterName="@guid" Precision="0" ProviderType="VarChar" Scale="0" Size="255" SourceColumn="guid" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="menu_order" ColumnName="menu_order" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="int(11)" DbType="Int32" Direction="Input" ParameterName="@menu_order" Precision="0" ProviderType="Int32" Scale="0" Size="0" SourceColumn="menu_order" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_type" ColumnName="post_type" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="varchar(20)(20)" DbType="String" Direction="Input" ParameterName="@post_type" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="post_type" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_mime_type" ColumnName="post_mime_type" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="varchar(100)(100)" DbType="String" Direction="Input" ParameterName="@post_mime_type" Precision="0" ProviderType="VarChar" Scale="0" Size="100" SourceColumn="post_mime_type" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="comment_count" ColumnName="comment_count" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="bigint(20)" DbType="Int64" Direction="Input" ParameterName="@comment_count" Precision="0" ProviderType="Int64" Scale="0" Size="0" SourceColumn="comment_count" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="ID" ColumnName="ID" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="bigint(20) unsigned" DbType="Int64" Direction="Input" ParameterName="@ID" Precision="0" ProviderType="Int64" Scale="0" Size="0" SourceColumn="ID" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT        wp_posts.*
FROM            wp_posts</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>UPDATE       wp_posts
SET                ID = @ID, post_author = @post_author, post_date = @post_date, post_date_gmt = @post_date_gmt, post_content = @post_content, post_title = @post_title, 
                         post_excerpt = @post_excerpt, post_status = @post_status, comment_status = @comment_status, ping_status = @ping_status, post_password = @post_password, 
                         post_name = @post_name, to_ping = @to_ping, pinged = @pinged, post_modified = @post_modified, post_modified_gmt = @post_modified_gmt, 
                         post_content_filtered = @post_content_filtered, post_parent = @post_parent, guid = @guid, menu_order = @menu_order, post_type = @post_type, 
                         post_mime_type = @post_mime_type, comment_count = @comment_count
WHERE        (ID = @Original_ID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="ID" ColumnName="ID" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="bigint(20) unsigned" DbType="Int64" Direction="Input" ParameterName="@ID" Precision="0" ProviderType="Int64" Scale="0" Size="0" SourceColumn="ID" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_author" ColumnName="post_author" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="bigint(20) unsigned" DbType="Int64" Direction="Input" ParameterName="@post_author" Precision="0" ProviderType="Int64" Scale="0" Size="0" SourceColumn="post_author" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_date" ColumnName="post_date" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="datetime" DbType="DateTime" Direction="Input" ParameterName="@post_date" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="post_date" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_date_gmt" ColumnName="post_date_gmt" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="datetime" DbType="DateTime" Direction="Input" ParameterName="@post_date_gmt" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="post_date_gmt" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_content" ColumnName="post_content" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="longtext" DbType="String" Direction="Input" ParameterName="@post_content" Precision="0" ProviderType="LongText" Scale="0" Size="1024" SourceColumn="post_content" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_title" ColumnName="post_title" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="text" DbType="String" Direction="Input" ParameterName="@post_title" Precision="0" ProviderType="Text" Scale="0" Size="2147483647" SourceColumn="post_title" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_excerpt" ColumnName="post_excerpt" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="text" DbType="String" Direction="Input" ParameterName="@post_excerpt" Precision="0" ProviderType="Text" Scale="0" Size="2147483647" SourceColumn="post_excerpt" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_status" ColumnName="post_status" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="varchar(20)(20)" DbType="String" Direction="Input" ParameterName="@post_status" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="post_status" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="comment_status" ColumnName="comment_status" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="varchar(20)(20)" DbType="String" Direction="Input" ParameterName="@comment_status" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="comment_status" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="ping_status" ColumnName="ping_status" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="varchar(20)(20)" DbType="String" Direction="Input" ParameterName="@ping_status" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="ping_status" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_password" ColumnName="post_password" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="varchar(20)(20)" DbType="String" Direction="Input" ParameterName="@post_password" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="post_password" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_name" ColumnName="post_name" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="varchar(200)(200)" DbType="String" Direction="Input" ParameterName="@post_name" Precision="0" ProviderType="VarChar" Scale="0" Size="200" SourceColumn="post_name" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="to_ping" ColumnName="to_ping" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="text" DbType="String" Direction="Input" ParameterName="@to_ping" Precision="0" ProviderType="Text" Scale="0" Size="2147483647" SourceColumn="to_ping" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="pinged" ColumnName="pinged" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="text" DbType="String" Direction="Input" ParameterName="@pinged" Precision="0" ProviderType="Text" Scale="0" Size="2147483647" SourceColumn="pinged" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_modified" ColumnName="post_modified" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="datetime" DbType="DateTime" Direction="Input" ParameterName="@post_modified" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="post_modified" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_modified_gmt" ColumnName="post_modified_gmt" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="datetime" DbType="DateTime" Direction="Input" ParameterName="@post_modified_gmt" Precision="0" ProviderType="DateTime" Scale="0" Size="0" SourceColumn="post_modified_gmt" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_content_filtered" ColumnName="post_content_filtered" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="longtext" DbType="String" Direction="Input" ParameterName="@post_content_filtered" Precision="0" ProviderType="LongText" Scale="0" Size="1024" SourceColumn="post_content_filtered" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_parent" ColumnName="post_parent" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="bigint(20) unsigned" DbType="Int64" Direction="Input" ParameterName="@post_parent" Precision="0" ProviderType="Int64" Scale="0" Size="0" SourceColumn="post_parent" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="guid" ColumnName="guid" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="varchar(255)(255)" DbType="String" Direction="Input" ParameterName="@guid" Precision="0" ProviderType="VarChar" Scale="0" Size="255" SourceColumn="guid" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="menu_order" ColumnName="menu_order" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="int(11)" DbType="Int32" Direction="Input" ParameterName="@menu_order" Precision="0" ProviderType="Int32" Scale="0" Size="0" SourceColumn="menu_order" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_type" ColumnName="post_type" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="varchar(20)(20)" DbType="String" Direction="Input" ParameterName="@post_type" Precision="0" ProviderType="VarChar" Scale="0" Size="20" SourceColumn="post_type" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="post_mime_type" ColumnName="post_mime_type" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="varchar(100)(100)" DbType="String" Direction="Input" ParameterName="@post_mime_type" Precision="0" ProviderType="VarChar" Scale="0" Size="100" SourceColumn="post_mime_type" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="comment_count" ColumnName="comment_count" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="bigint(20)" DbType="Int64" Direction="Input" ParameterName="@comment_count" Precision="0" ProviderType="Int64" Scale="0" Size="0" SourceColumn="comment_count" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="Original_ID" ColumnName="ID" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="bigint(20) unsigned" DbType="Int64" Direction="Input" ParameterName="@Original_ID" Precision="0" ProviderType="Int64" Scale="0" Size="0" SourceColumn="ID" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="ID" DataSetColumn="ID" />
              <Mapping SourceColumn="post_author" DataSetColumn="post_author" />
              <Mapping SourceColumn="post_date" DataSetColumn="post_date" />
              <Mapping SourceColumn="post_date_gmt" DataSetColumn="post_date_gmt" />
              <Mapping SourceColumn="post_content" DataSetColumn="post_content" />
              <Mapping SourceColumn="post_title" DataSetColumn="post_title" />
              <Mapping SourceColumn="post_excerpt" DataSetColumn="post_excerpt" />
              <Mapping SourceColumn="post_status" DataSetColumn="post_status" />
              <Mapping SourceColumn="comment_status" DataSetColumn="comment_status" />
              <Mapping SourceColumn="ping_status" DataSetColumn="ping_status" />
              <Mapping SourceColumn="post_password" DataSetColumn="post_password" />
              <Mapping SourceColumn="post_name" DataSetColumn="post_name" />
              <Mapping SourceColumn="to_ping" DataSetColumn="to_ping" />
              <Mapping SourceColumn="pinged" DataSetColumn="pinged" />
              <Mapping SourceColumn="post_modified" DataSetColumn="post_modified" />
              <Mapping SourceColumn="post_modified_gmt" DataSetColumn="post_modified_gmt" />
              <Mapping SourceColumn="post_content_filtered" DataSetColumn="post_content_filtered" />
              <Mapping SourceColumn="post_parent" DataSetColumn="post_parent" />
              <Mapping SourceColumn="guid" DataSetColumn="guid" />
              <Mapping SourceColumn="menu_order" DataSetColumn="menu_order" />
              <Mapping SourceColumn="post_type" DataSetColumn="post_type" />
              <Mapping SourceColumn="post_mime_type" DataSetColumn="post_mime_type" />
              <Mapping SourceColumn="comment_count" DataSetColumn="comment_count" />
            </Mappings>
            <Sources>
              <DbSource ConnectionRef="WPConnectionString (Settings)" DbObjectName="dulisth_dev.wp_posts" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="FillByID" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetDataByID" GeneratorSourceName="FillByID" GetMethodModifier="Public" GetMethodName="GetDataByID" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetDataByID" UserSourceName="FillByID">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT        ID, post_author, post_date, post_date_gmt, post_content, post_title, post_excerpt, post_status, comment_status, ping_status, post_password, post_name, to_ping, 
                         pinged, post_modified, post_modified_gmt, post_content_filtered, post_parent, guid, menu_order, post_type, post_mime_type, comment_count
FROM            wp_posts
WHERE        (ID = @ID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="ID" ColumnName="ID" DataSourceName="dulisth_dev.wp_posts" DataTypeServer="bigint(20) unsigned" DbType="Int64" Direction="Input" ParameterName="@ID" Precision="0" ProviderType="Int64" Scale="0" Size="0" SourceColumn="ID" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </Sources>
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="WPDataSet" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="WPDataSet" msprop:Generator_UserDSName="WPDataSet">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="wp_posts" msprop:Generator_TableClassName="wp_postsDataTable" msprop:Generator_TableVarName="tablewp_posts" msprop:Generator_TablePropName="wp_posts" msprop:Generator_RowDeletingName="wp_postsRowDeleting" msprop:Generator_RowChangingName="wp_postsRowChanging" msprop:Generator_RowEvHandlerName="wp_postsRowChangeEventHandler" msprop:Generator_RowDeletedName="wp_postsRowDeleted" msprop:Generator_UserTableName="wp_posts" msprop:Generator_RowChangedName="wp_postsRowChanged" msprop:Generator_RowEvArgName="wp_postsRowChangeEvent" msprop:Generator_RowClassName="wp_postsRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="ID" msprop:Generator_ColumnVarNameInTable="columnID" msprop:Generator_ColumnPropNameInRow="ID" msprop:Generator_ColumnPropNameInTable="IDColumn" msprop:Generator_UserColumnName="ID" type="xs:unsignedLong" />
              <xs:element name="post_author" msprop:Generator_ColumnVarNameInTable="columnpost_author" msprop:Generator_ColumnPropNameInRow="post_author" msprop:Generator_ColumnPropNameInTable="post_authorColumn" msprop:Generator_UserColumnName="post_author" type="xs:unsignedLong" />
              <xs:element name="post_date" msprop:Generator_ColumnVarNameInTable="columnpost_date" msprop:Generator_ColumnPropNameInRow="post_date" msprop:Generator_ColumnPropNameInTable="post_dateColumn" msprop:Generator_UserColumnName="post_date" type="xs:dateTime" />
              <xs:element name="post_date_gmt" msprop:Generator_ColumnVarNameInTable="columnpost_date_gmt" msprop:Generator_ColumnPropNameInRow="post_date_gmt" msprop:Generator_ColumnPropNameInTable="post_date_gmtColumn" msprop:Generator_UserColumnName="post_date_gmt" type="xs:dateTime" />
              <xs:element name="post_content" msprop:Generator_ColumnVarNameInTable="columnpost_content" msprop:Generator_ColumnPropNameInRow="post_content" msprop:Generator_ColumnPropNameInTable="post_contentColumn" msprop:Generator_UserColumnName="post_content" type="xs:string" />
              <xs:element name="post_title" msprop:Generator_ColumnVarNameInTable="columnpost_title" msprop:Generator_ColumnPropNameInRow="post_title" msprop:Generator_ColumnPropNameInTable="post_titleColumn" msprop:Generator_UserColumnName="post_title">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="21845" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="post_excerpt" msprop:Generator_ColumnVarNameInTable="columnpost_excerpt" msprop:Generator_ColumnPropNameInRow="post_excerpt" msprop:Generator_ColumnPropNameInTable="post_excerptColumn" msprop:Generator_UserColumnName="post_excerpt">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="21845" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="post_status" msprop:Generator_ColumnVarNameInTable="columnpost_status" msprop:Generator_ColumnPropNameInRow="post_status" msprop:Generator_ColumnPropNameInTable="post_statusColumn" msprop:Generator_UserColumnName="post_status">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="comment_status" msprop:Generator_ColumnVarNameInTable="columncomment_status" msprop:Generator_ColumnPropNameInRow="comment_status" msprop:Generator_ColumnPropNameInTable="comment_statusColumn" msprop:Generator_UserColumnName="comment_status">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ping_status" msprop:Generator_ColumnVarNameInTable="columnping_status" msprop:Generator_ColumnPropNameInRow="ping_status" msprop:Generator_ColumnPropNameInTable="ping_statusColumn" msprop:Generator_UserColumnName="ping_status">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="post_password" msprop:Generator_ColumnVarNameInTable="columnpost_password" msprop:Generator_ColumnPropNameInRow="post_password" msprop:Generator_ColumnPropNameInTable="post_passwordColumn" msprop:Generator_UserColumnName="post_password">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="post_name" msprop:Generator_ColumnVarNameInTable="columnpost_name" msprop:Generator_ColumnPropNameInRow="post_name" msprop:Generator_ColumnPropNameInTable="post_nameColumn" msprop:Generator_UserColumnName="post_name">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="200" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="to_ping" msprop:Generator_ColumnVarNameInTable="columnto_ping" msprop:Generator_ColumnPropNameInRow="to_ping" msprop:Generator_ColumnPropNameInTable="to_pingColumn" msprop:Generator_UserColumnName="to_ping">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="21845" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="pinged" msprop:Generator_ColumnVarNameInTable="columnpinged" msprop:Generator_ColumnPropNameInRow="pinged" msprop:Generator_ColumnPropNameInTable="pingedColumn" msprop:Generator_UserColumnName="pinged">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="21845" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="post_modified" msprop:Generator_ColumnVarNameInTable="columnpost_modified" msprop:Generator_ColumnPropNameInRow="post_modified" msprop:Generator_ColumnPropNameInTable="post_modifiedColumn" msprop:Generator_UserColumnName="post_modified" type="xs:dateTime" />
              <xs:element name="post_modified_gmt" msprop:Generator_ColumnVarNameInTable="columnpost_modified_gmt" msprop:Generator_ColumnPropNameInRow="post_modified_gmt" msprop:Generator_ColumnPropNameInTable="post_modified_gmtColumn" msprop:Generator_UserColumnName="post_modified_gmt" type="xs:dateTime" />
              <xs:element name="post_content_filtered" msprop:Generator_ColumnVarNameInTable="columnpost_content_filtered" msprop:Generator_ColumnPropNameInRow="post_content_filtered" msprop:Generator_ColumnPropNameInTable="post_content_filteredColumn" msprop:Generator_UserColumnName="post_content_filtered" type="xs:string" />
              <xs:element name="post_parent" msprop:Generator_ColumnVarNameInTable="columnpost_parent" msprop:Generator_ColumnPropNameInRow="post_parent" msprop:Generator_ColumnPropNameInTable="post_parentColumn" msprop:Generator_UserColumnName="post_parent" type="xs:unsignedLong" />
              <xs:element name="guid" msprop:Generator_ColumnVarNameInTable="columnguid" msprop:Generator_ColumnPropNameInRow="guid" msprop:Generator_ColumnPropNameInTable="guidColumn" msprop:Generator_UserColumnName="guid">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="menu_order" msprop:Generator_ColumnVarNameInTable="columnmenu_order" msprop:Generator_ColumnPropNameInRow="menu_order" msprop:Generator_ColumnPropNameInTable="menu_orderColumn" msprop:Generator_UserColumnName="menu_order" type="xs:int" />
              <xs:element name="post_type" msprop:Generator_ColumnVarNameInTable="columnpost_type" msprop:Generator_ColumnPropNameInRow="post_type" msprop:Generator_ColumnPropNameInTable="post_typeColumn" msprop:Generator_UserColumnName="post_type">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="post_mime_type" msprop:Generator_ColumnVarNameInTable="columnpost_mime_type" msprop:Generator_ColumnPropNameInRow="post_mime_type" msprop:Generator_ColumnPropNameInTable="post_mime_typeColumn" msprop:Generator_UserColumnName="post_mime_type">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="comment_count" msprop:Generator_ColumnVarNameInTable="columncomment_count" msprop:Generator_ColumnPropNameInRow="comment_count" msprop:Generator_ColumnPropNameInTable="comment_countColumn" msprop:Generator_UserColumnName="comment_count" type="xs:long" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:wp_posts" />
      <xs:field xpath="mstns:ID" />
    </xs:unique>
  </xs:element>
</xs:schema>